#!/bin/sh

# Path to where you compiled renouveau (in case you want to parse dumps from
#   a different directory)
# You must also have built renouveau-parse of course
RENOUVEAU_DIR=.

# Directory where to put parsed dumps
PARSED_DIR=./parsed

RENOUVEAU_PARSE=${RENOUVEAU_DIR}/renouveau-parse
RENOUVEAU_DB=${RENOUVEAU_DIR}/renouveau.xml

# Create output directory if does not exist
if test ! -d ${PARSED_DIR}
then
	mkdir ${PARSED_DIR}
fi

# Parse dumps
for i in card_10de-*_test_*.txt
do
	if test $i -nt ${PARSED_DIR}/$i; then
		echo "Parsing $i"
		${RENOUVEAU_PARSE} -dbxml ${RENOUVEAU_DB} -dump $i > ${PARSED_DIR}/$i
	fi
done
